{% extends 'baseNav.html.twig' %}
{% block title %}Products{% endblock %}
{% block body %}
<!-- SECTION -->
<div class="section">
    <!-- container -->
    <div class="container">
        <!-- row -->
        <div class="row">

            <!-- section title -->
            <div class="col-md-12">
                <div class="section-title">
                    <h3 class="title">{{ active == 'all' ? 'Tous les produits' : 'NOUVEAUX PRODUITS' }} </h3>

                </div>
            </div>
            <!-- /section title -->

            <!-- Products tab & slick -->
            <div class="col-md-12">
                <div class="row">
                    <div class="products-tabs">
                        <!-- tab -->
                        <div id="tab1" class="tab-pane active">
                            <div class="products-slick" data-nav="#slick-nav-1">
                                {% set totalStars = 0 %}
                                {% for product in products %}
                                    {% set totalComments = product.getComments().count %}
                                    {% for comment in product.getComments() %}
                                        {% set totalStars = totalStars + comment.Stars %}
                                    {% endfor %}
                                    {% if totalComments != 0 %}
                                        {% set avgStars = totalStars / totalComments %}
                                    {% else %}
                                        {% set avgStars = 0 %}
                                    {% endif %}
                                    {% set avgStars = avgStars|round %}
                                <!-- product -->
                                <div class="product">
                                    <div class="product-img">
                                        <img src="{{ asset('assets/img/products/' ~ product.image) }}" alt="{{ product.name }}" >
                                        <div class="product-label">
                                            {% if product.isPromo %}
                                            <span class="sale">Promo!</span>
                                            {% endif %}

                                            {% if product.isNew %}
                                                <span class="sale">Nouveau!</span>
                                            {% endif %}

                                        </div>
                                    </div>
                                    <div class="product-body">
                                        <p class="product-category">"{{ product.category.name }}"</p>
                                        <h3 class="product-name"><a href="{{ path('product', {slug:product.slug}) }}">{{ product.name }}</a></h3>
                                        <h4 class="product-price">{{ product.promoPrice }}€ <del class="product-old-price">{{ product.price }}€</del></h4>
                                        <div class="product-rating">
                                            {% if avgStars == 1 %}
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                            {% elseif avgStars == 2 %}
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>

                                            {% elseif  avgStars ==3 %}
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>

                                            {% elseif  avgStars == 4 %}
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star-o empty"></i>

                                            {% elseif  avgStars == 5 %}
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>
                                                <i class="fa fa-star"></i>

                                            {% else %}
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                                <i class="fa fa-star-o empty"></i>
                                            {% endif %}
                                        </div>
                                        <div class="product-btns">
                                            <button class="add-to-wishlist"><i class="fa fa-heart-o"></i><span class="tooltipp">Ajouter au wishlist</span></button>
                                            <button class="add-to-compare"><i class="fa fa-exchange"></i><span class="tooltipp">Comparer</span></button>
                                            <button class="quick-view"><i class="fa fa-eye"></i><span class="tooltipp">Aperçu rapide</span></button>
                                        </div>
                                    </div>
                                    <div class="add-to-cart">
                                        <button class="add-to-cart-btn"><i class="fa fa-shopping-cart"></i> Ajouter au panier</button>
                                    </div>
                                </div>
                                <!-- /product -->
                                {% endfor %}
                            </div>
                            <div id="slick-nav-1" class="products-slick-nav"></div>
                        </div>
                        <!-- /tab -->
                    </div>
                </div>
            </div>
            <!-- Products tab & slick -->
        </div>
        <!-- /row -->
    </div>
    <!-- /container -->
</div>


{% endblock %}
